////////////////////////////////////////////////////////////////////////////////
// Do not modify!
// Generated by codergen
////////////////////////////////////////////////////////////////////////////////

package limits

import (
	"fmt"

	"android.googlesource.com/platform/tools/gpu/binary/schema"
)

var ConstantValues schema.Constants

const _boolLimit_name = "FalseTrueMaybe"

var _boolLimit_map = map[boolLimit]string{}

func init() {
	_boolLimit_map[0] = _boolLimit_name[0:5]
	_boolLimit_map[1] = _boolLimit_name[5:9]
	_boolLimit_map[2] = _boolLimit_name[9:14]

	ConstantValues = append(ConstantValues, schema.ConstantSet{
		Type: &schema.Primitive{Name: "boolLimit", Method: schema.Int32},
		Entries: []schema.Constant{
			{Name: _boolLimit_name[0:5], Value: int32(0)},
			{Name: _boolLimit_name[5:9], Value: int32(1)},
			{Name: _boolLimit_name[9:14], Value: int32(2)},
		},
	})
}

func (v boolLimit) String() string {
	if s, ok := _boolLimit_map[v]; ok {
		return s
	}
	return fmt.Sprintf("boolLimit(%d)", v)
}

func (v *boolLimit) Parse(s string) error {
	for k, t := range _boolLimit_map {
		if s == t {
			*v = k
			return nil
		}
	}
	return fmt.Errorf("%s not in boolLimit", s)
}
